{
  stdenv, libqmi, gobject-introspection, python3,
  python3Packages,
  wrapGAppsHook3
}:
stdenv.mkDerivation {
  name = "qmi-nmea";
  src = ./.;
  makeFlags = [ "PREFIX=${placeholder "out"}" ];

  buildInputs = [
    (python3.withPackages (ppkgs: [
      ppkgs.pygobject3
    ]))
    gobject-introspection.dev
    libqmi
  ];

  nativeBuildInputs = [
    gobject-introspection
    wrapGAppsHook3
  ];

}
